Subject: [Gen-art] Gen-ART review of draft-ietf-mip4-radius-requirements-03.txt

From: "Vijay K. Gurbani" <[email-masked]>
Date: Fri, 15 Jun 2007 16:30:59 -0500

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-ietf-mip4-radius-requirements-03.txt
Reviewer: Vijay K. Gurbani
Review Date: 15 Jun 2007
IESG Telechat date: 21 Jun 2007

Summary: This draft is ready for publication as an Informational.
Three nits:

1) Section 1: s/[RFC3957] all based/[RFC3957], all based
    (The comma improves readibility)

2) Section 3: s/reqiuired/required

3) Section 3.1: In the first and third bullet item, it appears
  appropriate that the word "required" be upper-cased to denote its
  use as a normative declaration.  More so since bullet item two
  contains the word "MUST" in normative fashion.  I believe that
  the authors are making a normative set of declarations for the
  goals, so it appears uneven to have a MUST in the second bullet
  item and not a pair of REQUIREDs in the other two bullets.

Thanks,

- vijay
-- 
Vijay K. Gurbani, Bell Laboratories, Alcatel-Lucent
2701 Lucent Lane, Rm. 9F-546, Lisle, Illinois 60532 (USA)
Email: vkg@{alcatel-lucent.com,bell-labs.com,acm.org}
WWW:   http://www.alcatel-lucent.com/bell-labs

_______________________________________________
Gen-art mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/gen-art

---

From: Jari Arkko <[email-masked]>
Date: Thu, 21 Jun 2007 16:02:06 +0300

Authors, I would like to take these comments directly
as instructions for the RFC Editor. If there's any objection,
let me know.

Jari

---

From: "Avi Lior" <[email-masked]>
Date: Thu, 21 Jun 2007 09:57:27 -0400

I am okay with that.

Regarding the last comment though.  It may not be always REQUIRED that
the FA operate as a RADIUS Client (or NAS).  I think the ultimate
solution will allow for a couple of different scenarios.  I don't want
to be bound to that statement. So I don't know if we need to make
changes to this document. 

Just as an example, if we use proxy mobile IP4, then the FA does not
need to make a AAA dip.  Similarly, if we bootstrap MIP type information
during access authentication, then the FA does not need to make a AAA
dip.

-----Original Message-----
From: Jari Arkko [mailto:[email-masked]] 
Sent: Thursday, June 21, 2007 9:02 AM
To: Vijay K. Gurbani
Cc: [email-masked]; [email-masked]; Avi Lior;
[email-masked]; [email-masked]; [email-masked];
[email-masked]
Subject: Re: [Gen-art] Gen-ART review of
draft-ietf-mip4-radius-requirements-03.txt

Authors, I would like to take these comments directly as instructions
for the RFC Editor. If there's any objection, let me know.

Jari

Vijay K. Gurbani kirjoitti:
> Please wait for direction from your document shepherd or AD before 
> posting a new version of the draft.
>
> appropriate that the word "required" be upper-cased to denote its  use

> as a normative declaration.  More so since bullet item two  contains 
> the word "MUST" in normative fashion.  I believe that  the authors are

> making a normative set of declarations for the  goals, so it appears 
> uneven to have a MUST in the second bullet  item and not a pair of 
> REQUIREDs in the other two bullets.
>
> Thanks,
>
> - vijay

---

From: Madjid Nakhjiri <[email-masked]>
Date: Thu, 21 Jun 2007 09:45:15 -0700

No objections from me. Thank you for following up.

R,

Madjid

-----Original Message-----
From: Jari Arkko [mailto:[email-masked]] 
Sent: Thursday, June 21, 2007 6:02 AM
To: Vijay K. Gurbani
Cc: [email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked]
Subject: Re: [Gen-art] Gen-ART review of
draft-ietf-mip4-radius-requirements-03.txt

Jari